Subject: Triangular workflow

From: Harald Nordgren <[email-masked]>
Date: Tue, 13 Jan 2026 19:35:57 +0100

> For my triangular workflow the ahead/behind for the push branch is just
> useless noise. I treat my push destination like a mirror, where I always
> just push up everything at the end of the day.

This seems like a sub-optimal workflow 🤗

May I ask where you normally push (unless you only ever push once at the
end) of the day? If it's another branch than your mirror, why not set that
as your push destination then, and push to your push destination with the
longer

    git push origin my-mirror

It makes more sense to me to reserve the shorter and more convenient
'git push' for something you do many times a day.

Harald